- [HTTP request](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.integrations/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.integrations/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.integrations/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.integrations/list#body.request_body)
- [Response body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.integrations/list#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.integrations/list#body.ListIntegrationsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.integrations/list#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.integrations/list#body.aspect_1)

**Full name**: projects.locations.instances.integrations.list

Lists all Integrations installed in the instance. Use this method to discover the commercial, community, and custom integrations currently installed. Supports filtering by display name and sorting by various attributes.

### HTTP request

`GET https://{endpoint}/v1/{parent}/integrations`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/chronicle/docs/reference/rest#rest_endpoints).

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent, which owns this collection of integrations. Format: projects/{project}/locations/{location}/instances/{instance}/integrations |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Optional. The maximum number of integrations to return. The service may return fewer than this value. If unspecified, at most 100 integrations will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000. |
| `pageToken` | `string` Optional. A page token, received from a previous `integrations.list` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `integrations.list` must match the call that provided the page token. |
| `filter` | `string` Optional. Filter to be applied over multiple Integration fields. Only the following filters are allowed: "displayName:" |
| `orderBy` | `string` Optional. Order by specifier for the results. Only the following fields are allowed: "displayName" "version" "custom" "certified" "staging" "productionIdentifier" "pythonVersion" |

### Request body

The request body must be empty.

### Response body

ListIntegrationsResponse contains the list of Integrations.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "integrations": [ { object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.integrations#Integration`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `integrations[]` | ``object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.integrations#Integration`)`` The list of Integrations, ordered by displayName. |
| `nextPageToken` | `string` Optional. A token, which can be sent as `pageToken` to retrieve the next page. If this field is omitted, there are no subsequent pages. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/chronicle`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `chronicle.integrations.get`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).